Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] Conflitto tra pacchetti. Quale dovrei rimuovere?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
mrfabiolo
n00b
n00b


Joined: 02 Jan 2011
Posts: 61

PostPosted: Tue Jun 03, 2014 7:38 pm    Post subject: [RISOLTO] Conflitto tra pacchetti. Quale dovrei rimuovere? Reply with quote

Avevo appena installato Blender con emerge. (settando anche molte USE flags qua e là)...
Ora, se provo ad aggiornare tutti i pacchetti mi viene fuori:
Code:
mrlogick@localhost ~ $ sudo emerge -auvDN @world
Password:

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sys-apps/systemd-212-r5:0/2  USE="acl filecaps firmware-loader gudev introspection kmod pam policykit seccomp -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -python -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 0 kB
[ebuild  N     ] sys-apps/gentoo-systemd-integration-4  52 kB
[ebuild     U  ] sys-power/upower-0.9.23-r3 [0.9.23-r2] USE="introspection -doc -ios (-systemd%)" 0 kB
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-212-r5, sys-apps/gentoo-systemd-integration-4)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)

Total: 3 packages (1 upgrade, 2 new), Size of downloads: 52 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/udev-212-r1::gentoo, installed) pulled in by
    >=sys-fs/udev-208 required by (virtual/udev-208-r2::gentoo, installed)
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-)]) required by (virtual/libudev-208::gentoo, installed)
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection]) required by (virtual/libgudev-208::gentoo, installed)

  (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-200 required by (sys-power/upower-0.9.23-r3::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


E' la prima volta che mi capita. Leggendo dalla documentazione sembra che debba rimuovere il pacchetto "sys-fs/udev". (che tra quelli in conflitto è l'unico installato). Oppure non aggiornare il sistema, ma mi rimarrebbe sempre il messaggio. Ma è sicuro rimuovere udev? (non so nemmeno che roba sia, ma dovrebbe fare parte del sistema base credo).

(anche perché se do "emerge @preserved-rebuild" mi prova a ricompilare vlc fallendo) (ma tanto ora vlc mi funziona lo stesso) (spero che sistemando sopra si sistemi anche questo).


Last edited by mrfabiolo on Tue Jun 03, 2014 8:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
sabayonino
Apprentice
Apprentice


Joined: 03 Jan 2012
Posts: 245

PostPosted: Tue Jun 03, 2014 7:52 pm    Post subject: Reply with quote

8O urca allora non sono il solo.
pensavo di aver scassato qualcosa. nei vari smanettamenti di questi ultimi tempi ...

nonostante abbia forzatamente disabilitato qualsiasi forma vivente e non di systemd , quest'ultimo vuole prendere possesso del mio pc rimuovendo udev !
quella schifezza di systemd manco la voglio sulla gentoo !!



probabilmente mi sa che qualcuno ha toppato in qualche ebuild





sto indagando .quandi al momento non ho idee valide al riguardo.
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
lollix01
n00b
n00b


Joined: 26 May 2014
Posts: 27

PostPosted: Tue Jun 03, 2014 7:56 pm    Post subject: Reply with quote

SystemD integra udev quindi non ce nè bisogno.
Potresti però anche usare OpenRC al posto di SystemD, perchè SystemD è una m****** assurda, come GNOME che lo richiede e fortuna che non ne sono un utente!!! Perchè sarei passato a XFCE che può avere gli stessi effetti.
P.S. Per usare GNOME c'è bisogno di SystemD.
Hello! :-)
Back to top
View user's profile Send private message
sabayonino
Apprentice
Apprentice


Joined: 03 Jan 2012
Posts: 245

PostPosted: Tue Jun 03, 2014 7:59 pm    Post subject: Reply with quote

lollix01 wrote:
SystemD integra udev quindi non ce nè bisogno.
Potresti però anche usare OpenRC al posto di SystemD, perchè SystemD è una m****** assurda, come GNOME che lo richiede e fortuna che non ne sono un utente!!! Perchè sarei passato a XFCE che può avere gli stessi effetti.
P.S. Per usare GNOME c'è bisogno di SystemD.
Hello! :-)


systemd integra dei pacchetti "virtuali" di udev ...

Draghetto 4ever ... il piedone puzzolente non lo voglio ! :twisted:

comunque ho torvato questo : http://forums.gentoo.org/viewtopic-t-992290.html

upower ... l'ho rimosso ma qualcuno tenta sempre di portarmelòo dentro.
(e lo vedo anche nell'output precedente in aggiornamento ...quindi mi sa che lo castro in qualche modo)


[edit] al momento mascherando l'update di upower , systemd se ne sta fuori da...
Code:
I] sys-power/upower
     Available versions:  0.9.23-r3 [m]~0.99.0(0/2) {doc +introspection ios KERNEL="FreeBSD linux"}
     Installed versions:  0.9.23-r3(19:53:02 03/06/2014)(introspection -doc -ios KERNEL="linux -FreeBSD")
     Homepage:            http://upower.freedesktop.org/
     Description:         D-Bus abstraction for enumerating power devices and querying history and statistics


Code:
# echo ">sys-power/upower-0.9.23-r3" >> /etc/portage/package.mask


[edit] PPS :
Quote:
All non-systemd users are recommended to choose between:

# emerge --oneshot --noreplace 'sys-power/upower-pm-utils'

or

# emerge --oneshot --noreplace '>=sys-power/upower-0.99.0'

However, all systemd users are recommended to stay with sys-power/upower.


...vado a provare

[ri-edit]
Quote:
# emerge -1 --noreplace 'sys-power/upower-pm-utils' -a

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] sys-power/pm-quirks-20100619
[ebuild N ] sys-power/pm-utils-1.4.1-r2 USE="alsa -debug -ntp" VIDEO_CARDS="intel -radeon"
[ebuild N ] sys-power/upower-pm-utils-0.9.23 USE="introspection -doc -ios"
[uninstall ] sys-power/upower-0.9.23-r3
[blocks b ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23)

Would you like to merge these packages? [Yes/No]


non so cosa succederà al prossimo riavvio :evil: (ora non posso)
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
mrfabiolo
n00b
n00b


Joined: 02 Jan 2011
Posts: 61

PostPosted: Tue Jun 03, 2014 8:17 pm    Post subject: Reply with quote

Ho provato a mascherare upower ma mi dà lo stesso output. Se invece maschero systemd mi dice che devo smascherarlo in package.unmask
Ma dite che fra qualche giorno sistemano direttamente gli sviluppatori?
(anche perché io non l'avevo affatto smanettato troppo il portage, ho solamente installato blender con qualche use flag aggiuntiva... per il resto Gentoo l'ho installato da appena 3 giorni).
Back to top
View user's profile Send private message
sabayonino
Apprentice
Apprentice


Joined: 03 Jan 2012
Posts: 245

PostPosted: Tue Jun 03, 2014 8:24 pm    Post subject: Reply with quote

mrfabiolo wrote:
Ho provato a mascherare upower ma mi dà lo stesso output. Se invece maschero systemd mi dice che devo smascherarlo in package.unmask
Ma dite che fra qualche giorno sistemano direttamente gli sviluppatori?
(anche perché io non l'avevo affatto smanettato troppo il portage, ho solamente installato blender con qualche use flag aggiuntiva... per il resto Gentoo l'ho installato da appena 3 giorni).


leggi gli ultimi edit del mio post precedente (smaschera upower e systema_coso_d :twisted: [systemd])
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
mrfabiolo
n00b
n00b


Joined: 02 Jan 2011
Posts: 61

PostPosted: Tue Jun 03, 2014 8:30 pm    Post subject: Reply with quote

oh grazie. Ho dato l'ultimo comando che hai messo:
Code:
emerge -1 --noreplace 'sys-power/upower-pm-utils' -a


Ora non c'è più niente da aggiornare. Sei un mito!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum